# VC5WINC.PM
#
# Copyright (c) 1997-1999 Symbian Ltd.  All rights reserved.
#


# Makmake-module for creating MAKMAKE WINC MSVC5 IDE makefiles

package Vc5winc;

require Exporter;
@ISA=qw(Exporter);
@EXPORT=qw(
	PMGetResetPlatName
	PMGetExtraMmpMacros
	PMGetPlatProcType
	PMGetMakeFileExt
	PMGetDefFilePath
	PMGetBldList
	PMGetDefBaseExts
	PMGetPlatMacroList
	PMGetBldMacroList
);


my $COMMAND_LINE_PLATFORM;

{	# Switch to makmake.pl context in this block to load extra modules
	package main;
	use Ide_vc5;
}

sub PMGetResetPlatName {
	'WINC';
}

sub PMGetExtraMmpMacros {
	('WINS');
}

sub PMGetPlatProcType {
	'SINGLE';
}

sub PMGetMakeFileExt {
	'DSP';
}

sub PMGetDefFilePath {
	"\\".&main::Prj."\\BWINC\\";
}

sub PMGetBldList {
	qw(DEB REL UDEB UREL);
}

sub PMGetDefBaseExts {
	('UDEB','U','UREL','U');
}

sub PMGetPlatMacroList {
	('__VC32__','__WINS__','__WINC__','__XCON__');
}

sub PMGetBldMacroList {
	$_=&main::Bld;
	{
		if (/^REL$/o) {
			return('NDEBUG');
		}
		if (/^DEB$/o) {
			return('_DEBUG');
		}
		if (/^UREL$/o) {
			return('NDEBUG','_UNICODE');
		}
		if (/^UDEB$/o) {
			return('_DEBUG','_UNICODE');
		}
	}
}

1;
